#include <stdio.h>
int main ()
{
  int i,j,n;
  scanf("%d",&n);

  if(n>0)
    {
      for(i=1;i<=n;i++)
	{

	  for(j=1;j<=n-i;j++)
	    printf(" ");
	  for(j=1;j<=i-1;j++)
	    printf("*A");
	  for(j=1;j<=i;j++)
           {
	    if(j==i)
	    printf("*");
           }
	  printf("\n");
	}

    }
  else 
    printf("-1\n");

  return 0;

} 
